Update to par2cmdline-0.7.4

And delete a bunch of patches while here.  Note that the meaning of
the -N option has been inverted upstream.

From Mikolaj Kucharski (maintainer)
This commit is contained in:
jca 2017-12-12 01:10:50 +00:00
parent 0d9f7abd19
commit 7ad6e621d5
12 changed files with 23 additions and 127 deletions

View File

@ -1,11 +1,9 @@
# $OpenBSD: Makefile,v 1.16 2017/07/26 22:45:14 sthen Exp $
# $OpenBSD: Makefile,v 1.17 2017/12/12 01:10:50 jca Exp $
COMMENT = command line implementation of the PAR v2.0 specification
V = 0.6.14
V = 0.7.4
DISTNAME = par2cmdline-$V
DISTFILES = ${DISTNAME}{v$V}.tar.gz
REVISION = 2
CATEGORIES = archivers
@ -19,7 +17,7 @@ WANTLIB = c m ${COMPILER_LIBCXX}
MAINTAINER = Mikolaj Kucharski <mikolaj@kucharski.name>
MASTER_SITES = ${HOMEPAGE}archive/
MASTER_SITES = ${HOMEPAGE}releases/download/v$V/
BUILD_DEPENDS = ${MODGNU_AUTOCONF_DEPENDS} \
${MODGNU_AUTOMAKE_DEPENDS}
@ -42,7 +40,4 @@ post-install:
${INSTALL_DATA_DIR} ${PREFIX}/share/doc/par2cmdline
${INSTALL_DATA} ${WRKSRC}/README ${PREFIX}/share/doc/par2cmdline
pre-test:
sed -i -e 's,^tar -xf,tar -xzf,' ${WRKSRC}/tests/test*
.include <bsd.port.mk>

View File

@ -1,2 +1,2 @@
SHA256 (par2cmdline-0.6.14.tar.gz) = L9gxupJNnw7NkkLKRVUbaZXt4e0oGveaow50kNVZbno=
SIZE (par2cmdline-0.6.14.tar.gz) = 3539262
SHA256 (par2cmdline-0.7.4.tar.gz) = uPHju+cs0pgigzLmfTU3BsPaFsxFI8Yvb9BT9JxUsdA=
SIZE (par2cmdline-0.7.4.tar.gz) = 3617577

View File

@ -1,7 +1,8 @@
$OpenBSD: patch-configure_ac,v 1.1 2016/06/13 17:32:27 semarie Exp $
--- configure.ac.orig Wed Jun 8 23:30:46 2016
+++ configure.ac Wed Jun 8 23:31:20 2016
@@ -56,6 +56,7 @@ dnl Checks for library functions.
$OpenBSD: patch-configure_ac,v 1.2 2017/12/12 01:10:50 jca Exp $
Index: configure.ac
--- configure.ac.orig
+++ configure.ac
@@ -60,6 +60,7 @@ dnl Checks for library functions.
AC_FUNC_MEMCMP
AC_CHECK_FUNCS([stricmp] [strcasecmp])
AC_CHECK_FUNCS([strchr] [memcpy])

View File

@ -1,18 +0,0 @@
$OpenBSD: patch-par2cmdline_h,v 1.3 2015/10/05 16:50:14 sthen Exp $
- https://github.com/Parchive/par2cmdline/issues/55 and
https://github.com/Parchive/par2cmdline/pull/60
--- par2cmdline.h.orig Sun Aug 2 17:09:46 2015
+++ par2cmdline.h Sun Oct 4 18:32:15 2015
@@ -156,9 +156,9 @@ typedef unsigned long long u64;
# ifndef __LITTLE_ENDIAN
# ifdef _LITTLE_ENDIAN
# define __LITTLE_ENDIAN _LITTLE_ENDIAN
-# define __LITTLE_ENDIAN _LITTLE_ENDIAN
# define __BIG_ENDIAN _BIG_ENDIAN
# define __PDP_ENDIAN _PDP_ENDIAN
+# define __BYTE_ORDER _BYTE_ORDER
# else
# error <endian.h> does not define __LITTLE_ENDIAN etc.
# endif

View File

@ -1,25 +0,0 @@
$OpenBSD: patch-reedsolomon_cpp,v 1.2 2015/10/05 16:50:14 sthen Exp $
- c++: warning: suggest parentheses around arithmetic in operand of '|' [-Wparentheses]
https://github.com/Parchive/par2cmdline/pull/60
--- reedsolomon.cpp.orig Sun Aug 2 17:09:46 2015
+++ reedsolomon.cpp Sun Oct 4 18:31:57 2015
@@ -294,7 +294,7 @@ template<> bool ReedSolomon<Galois16>::InternalProcess
*pL = *LL + *HL;
#else
unsigned int temp = *LL + *HL;
- *pL = (temp >> 8) & 0xff | (temp << 8) & 0xff00;
+ *pL = ((temp >> 8) & 0xff) | ((temp << 8) & 0xff00);
#endif
pL++;
@@ -305,7 +305,7 @@ template<> bool ReedSolomon<Galois16>::InternalProcess
*pH = *LH + *HH;
#else
temp = *LH + *HH;
- *pH = (temp >> 8) & 0xff | (temp << 8) & 0xff00;
+ *pH = ((temp >> 8) & 0xff) | ((temp << 8) & 0xff00);
#endif
pH++;

View File

@ -1,4 +1,4 @@
$OpenBSD: patch-par1repairer_cpp,v 1.3 2016/06/13 17:32:27 semarie Exp $
$OpenBSD: patch-src_par1repairer_cpp,v 1.1 2017/12/12 01:10:50 jca Exp $
pledge:
'par2 repair' with par1 files - stdio rpath cpath
@ -6,8 +6,9 @@ pledge:
longer required, cpath must be kept to delete partial files in
case of an error
--- par1repairer.cpp.orig Wed Jun 8 23:41:11 2016
+++ par1repairer.cpp Wed Jun 8 23:42:01 2016
Index: src/par1repairer.cpp
--- src/par1repairer.cpp.orig
+++ src/par1repairer.cpp
@@ -157,6 +157,14 @@ Result Par1Repairer::Process(const CommandLine &comman
if (!CreateTargetFiles())
return eFileIOError;

View File

@ -1,4 +1,4 @@
$OpenBSD: patch-par2cmdline_cpp,v 1.1 2016/06/13 17:32:27 semarie Exp $
$OpenBSD: patch-src_par2cmdline_cpp,v 1.1 2017/12/12 01:10:50 jca Exp $
pledge:
'par2 create' - stdio rpath wpath cpath
@ -11,8 +11,9 @@ pledge:
may delete par files, only if -p option was given, otherwise
cpath is not required
--- par2cmdline.cpp.orig Wed Jun 8 23:31:42 2016
+++ par2cmdline.cpp Wed Jun 8 23:38:36 2016
Index: src/par2cmdline.cpp
--- src/par2cmdline.cpp.orig
+++ src/par2cmdline.cpp
@@ -34,6 +34,14 @@ int main(int argc, char *argv[])
_CrtSetDbgFlag(_CrtSetDbgFlag(_CRTDBG_REPORT_FLAG) | _CRTDBG_ALLOC_MEM_DF | /*_CRTDBG_CHECK_CRT_DF | */_CRTDBG_DELAY_FREE_MEM_DF | _CRTDBG_LEAK_CHECK_DF);
#endif

View File

@ -1,4 +1,4 @@
$OpenBSD: patch-par2repairer_cpp,v 1.3 2016/06/13 17:32:27 semarie Exp $
$OpenBSD: patch-src_par2repairer_cpp,v 1.1 2017/12/12 01:10:50 jca Exp $
pledge:
'par2 repair' with par2 files - stdio rpath cpath
@ -6,9 +6,10 @@ pledge:
longer required, cpath must be kept to delete partial files in
case of an error
--- par2repairer.cpp.orig Wed Jun 8 23:38:53 2016
+++ par2repairer.cpp Wed Jun 8 23:41:00 2016
@@ -193,6 +193,14 @@ Result Par2Repairer::Process(const CommandLine &comman
Index: src/par2repairer.cpp
--- src/par2repairer.cpp.orig
+++ src/par2repairer.cpp
@@ -187,6 +187,14 @@ Result Par2Repairer::Process(const CommandLine &comman
if (!CreateTargetFiles())
return eFileIOError;

View File

@ -1,15 +0,0 @@
$OpenBSD: patch-tests_test12,v 1.1 2015/10/05 16:50:14 sthen Exp $
- Fix regress tests, head -c not working on OpenBSD
--- tests/test12.orig Sun Aug 2 17:09:46 2015
+++ tests/test12 Sun Oct 4 22:23:04 2015
@@ -19,7 +19,7 @@ echo $banner
echo $dashes
mv test.data test.data-correct
-head -c 113579 test.data-correct > test.data
+dd if=test.data-correct bs=113579 count=1 status=none of=test.data
../../par2 r test.par2 > ../$testname.log || { echo "ERROR: repair files using PAR 2.0 failed" ; exit 1; } >&2

View File

@ -1,15 +0,0 @@
$OpenBSD: patch-tests_test13,v 1.1 2015/10/05 16:50:14 sthen Exp $
- Fix regress tests, head -c not working on OpenBSD
--- tests/test13.orig Sun Aug 2 17:09:46 2015
+++ tests/test13 Sun Oct 4 22:23:56 2015
@@ -28,7 +28,7 @@ echo $banner
echo $dashes
mv test-1.data test-1.data-correct
-head -c 177173 test-1.data-correct > test-1.data
+dd if=test-1.data-correct bs=177173 count=1 status=none of=test-1.data
../../par2 r testdata.par2 > ../$testname.log || { echo "ERROR: repair files using PAR 2.0 failed" ; exit 1; } >&2

View File

@ -1,15 +0,0 @@
$OpenBSD: patch-tests_test18,v 1.1 2015/10/05 16:50:14 sthen Exp $
- Fix regress tests, head -c not working on OpenBSD
--- tests/test18.orig Sun Aug 2 17:09:46 2015
+++ tests/test18 Sun Oct 4 22:24:50 2015
@@ -28,7 +28,7 @@ echo $banner
echo $dashes
mv flatdata.tar.gz flatdata.tar.gz-orig
-head -c 1983 flatdata.tar.gz-orig > flatdata.tar.gz
+dd if=flatdata.tar.gz-orig bs=1983 count=1 status=none of=flatdata.tar.gz
rm -f flatdata.tar.gz-orig
../../par2 r recovery.par2 ./* > ../$testname.log || { echo "ERROR: PAR 2.0 repair failed" ; exit 1; } >&2

View File

@ -1,15 +0,0 @@
$OpenBSD: patch-tests_test20,v 1.1 2015/10/05 16:50:14 sthen Exp $
- On OpenBSD iflag is not supported
--- tests/test20.orig Sun Oct 4 22:27:11 2015
+++ tests/test20 Sun Oct 4 22:30:27 2015
@@ -16,7 +16,7 @@ echo $dashes
echo $banner
echo $dashes
-dd bs=1000 count=2 iflag=fullblock if=/dev/random of=myfile.dat
+dd bs=1000 count=2 if=/dev/random of=myfile.dat
banner="Creating PAR 2.0 recovery data"
dashes=`echo "$banner" | sed s/./-/g`